Subject: Re: bug#26952: 25.1; loops eating all memory while yanking big rectangle

From: [email-masked]
Date: Sun, 21 May 2017 12:48:28 -0400

Eli Zaretskii <[email-masked]> writes:

> Is there src/gmalloc.o in the build directory?

Yes there is.  Furthermore, in 25.2 configure output shows this:

  Should Emacs use the GNU version of malloc?             yes
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no

In master it says this:

  Should Emacs use the GNU version of malloc?             no (only before dumping)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no

> Does enlarge_buffer_text eventually calls into gmalloc.c in the
> problematic build?

Yes.

> I thought we moved to system malloc in Emacs 25.2, and that was my
> reading of configure, but maybe I'm confused.

Everytime I try to read the configure code for this, I get more confused :(